CP(1)

NOMBRE
cp - copia archivos y directorios

SINOPSIS
cp [OPCIÓN]... [-T] ORIGEN DEST
cp [OPCIÓN]... ORIGEN... DIRECTORIO
cp [OPCIÓN]... -t DIRECTORIO ORIGEN...

DESCRIPCIÓN

Copia ORIGEN en DESTINO, o diversos ORÍGEN(es) a un directorio.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a, --archive
    igual que -dR --preserve=todo

--attributes-only
    no copia los datos de los archivos, solo sus atributos

--backup[=CONTROL]
    crea una copia de seguridad de cada archivo de destino que ya exista

-b  como --backup pero no acepta ningún argumento

--copy-contents
    en modo recursivo, copia también el contenido de archivos especiales

-d  igual que --no-dereference --preserve=enlaces

--debug
    explica el modo en que se copia un archivo. Implica -v

-f, --force
    Si no puede abrirse un archivo de destino, lo elimina y lo reintenta (esta opción se anula si también está definida -n).

-i, --interactive
    avisa antes de sobreescribir (anula la opcion -n)

-H  sigue los enlaces simbólicos en ORIGEN

-l, --link
    crea enlaces duros en lugar de copiar

-L, --dereference
    sigue siempre los enlaces simbólicos en FUENTE

-n, --no-clobber
    (a extinguir) salta sin más los archivos existentes. Consulte --update

-P, --no-dereference
    nunca sigue enlaces simbólicos en ORIGEN

-p  igual que --preserve=modo,propietario, marca de tiempo

--preserve[=ATTR_LIST]
    mantiene los atributos indicados

--no-preserve=ATTR_LIST
    no mantiene los atributos indicados

--parents
    emplea el nombre completo de la ruta en DIRECTORIO

-R, -r, --recursive
    copia directorios de forma recursiva

--reflink[=CUANDO]
    controla un clonado (Copy on write) optimizado. Vea más adelante

--remove-destination
    elimina los archivos de destino antes de intentar abrirlos (al contrario que --force)).

--sparse=CUANDO
    controla la creación de archivos con 'huecos'. Vea más adelante

--strip-trailing-slashes
    elimina la barra al final de cada argumento de ORIGEN

-s, --symbolic-link
    crea enlaces simbólicos en lugar de copiar

-S, --suffix=SUFIJO
    reemplaza el sufijo de respaldo habitual

-t, --target-directory=DIRECTORIO
    copia todos los argumentos ORIGEN al DIRECTORIO

-T, --no-target-directory
    trata DESTINO como archivo normal

--update=ACTUALIZACIÓN
    controla cuales de los archivos existentes van a ser actualizados; ACTUALIZACIÓN={all, none, none-fail, older(por defecto)}.

-u  Equivale a --update[=más_antiguo]. Vea a continuación

-v, --verbose
    explica lo que va haciendo

--keep-directory-symlink
    sigue los enlaces simbólico existentes que apuntan a directorios

-x, --one-file-system
    permanece en ese sistema de archivos

-Z  define el contexto de seguridad de SELinux del archivo de destino con el tipo por defecto

--context[=CTX]
    como -Z, o si se especifica CTX entonces establece el contexto de seguridad SELinux o SMACK a CTX

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

ATRR_LIST es una lista de atributos separados entre si por comas. Los atributos son 'mode' para permisos (incluyendo ACL y permisos xattr), 'ownership' para usuarios y grupos, 'timestamp' para marcas temporales en archivos, 'links' para enlaces duros, 'context' para contextos de seguridad, 'xattr' para atributos adicionales y 'all' para todos los atributos.

Por defecto, los archivos con huecos ('sparse files') se detectan con un mecanismo heurístico muy básico creándose el archivo DESTINO también con esa característica si se define --sparse=auto. Si se define --sparse=always se creará un archivo con huecos siempre y cuando el ORIGEN contenga una secuencia de ceros los suficientemente larga. Emplee --sparse=never para evitar la creación de dichos archivos.

UPDATE controla cuales de los archivos existentes en el destino será reemplazados. 'all' es la opción por defecto cuando no se define ninguna opción --update, hará que se reemplacen todos los archivos en el destino. 'none' es similar a la opcion --no-clobber en la cual no se modifica ningún archivo en el destino ni los archivos que se salten producen ningún error. 'none-fail' también evitar reemplazar archivos de destino, pero se diagnostica cualquier archivo que se salta y emite un error.'older' es la operación por defecto cuando se define --update, hará que se reemplacen los archivos más antiguos que el origen.

Cuando se define --reflink[=always], se hará un copia optimizada únicamente de los bloques de datos que hayan sido modificados. Si esto no fuese posible, se produjese un error o si se define --reflink=auto, se hará una copia estándar. Emplee --reflink=never si quiere que se haga siempre una copia estándar.

El sufijo de respaldo es '~', a menos que se establezca con --suffix o con SIMPLE_BACKUP_SUFFIX. El método de control de versión se puede seleccionar con la opción --backup o a través de la variable de entorno VERSION_CONTROL. Estos son los valores:

none, off
    nunca realiza copias de seguridad (incluso si se da la opción --backup)

numbered, t
    crea copias de seguridad numeradas

existing, nil
    numeradas si existen copias de seguridad numeradas, simples en caso contrario

simple, never
    siempre crea copias de seguridad simples

como excepción, cp crea una copia de seguridad de ORIGEN cuando se indican las opciones '--force' y '--backup' y ORIGEN y DESTINO tienen el mismo nombre para un archivo regular.

AUTOR
Escrito por Torbjorn Granlund, David MacKenzie y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
install(1)

Documentación completa en <https://www.gnu.org/software/coreutils/cp>
también disponible localmente ejecutando: info '(coreutils) cp invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.